GNU bug report logs - #60916
[PATCH 17/25] gnu: Add unparam.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Katherine Cox-Buday <cox.katherine.e@HIDDEN>; Keywords: patch; merged with #60898, #60899, #60900, #60901, #60902, #60903, #60904, #60905, #60906, #60907, #60908, #60909, #60910, #60911, #60912, #60913, #60914, #60915, #60917, #60918, #60919, #60920, #60921, #60922; dated Wed, 18 Jan 2023 01:46:14 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Katherine Cox-Buday <cox.katherine.e@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jan 2023 01:45:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 17 20:45:56 2023
Received: from localhost ([127.0.0.1]:38641 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pHxWW-0007Xd-Fc
	for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:56 -0500
Received: from lists.gnu.org ([209.51.188.17]:44490)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cox.katherine.e@HIDDEN>) id 1pHxW6-0007V1-3I
 for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:30 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxW4-00029I-NU
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:29 -0500
Received: from mail-io1-xd33.google.com ([2607:f8b0:4864:20::d33])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxW2-00071U-U8
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:28 -0500
Received: by mail-io1-xd33.google.com with SMTP id h184so6376604iof.9
 for <guix-patches@HIDDEN>; Tue, 17 Jan 2023 17:45:25 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=RoPG4lfUg5q3D3LjNFsBgwnb5J2/nuvkKNygLX64HaM=;
 b=ktnTqSUeUfS86kGOrXbYpJfMOppqVLsAexgnrj7eQ/D+h5pz9SpUc3BPIS6/4F81nO
 E20kOsfOATiMrjjM7JXFhUsBkORXxl/h9OImddTT7lKJ0xk+h7kIeSuKcGz0oXEMFlB+
 e3wPaiURoI5cKMdKY8pUWg6Llzob83yvUBZ3aUyN1DGRqE2U8z2bP82nqNQX/loW6mc0
 Wi5+rbEBJg5+ZILnKxbUhQCB1qVdc7wOxIm6ufNiJBcEUM9zhBun/r40Kx9KUeUBP74m
 NN+KGy35fdjnUao6mR1lb/O1Z8nxIFd21LIwtz1m8Ve6it5Ul8NIHPu0tS5+m8Y4V8o7
 NjYw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=RoPG4lfUg5q3D3LjNFsBgwnb5J2/nuvkKNygLX64HaM=;
 b=eyTXTyZP07T/SYQRThAPjHUuWyTuOH/InPNpMOKcFJKkMHsiwawVzfYnJJP16VCjUf
 ihHXiAV4T6fIqIb/Oe1sEYf56ofQZXquzmeNt/kmKN1e0/KlRqQISvIDUmC6CINkUU2J
 G0A97g/U67vfy5jM+ALxAUq5QkOEeOG/ckvLN9u/lSVf6eI/9z0OWxYq1yHoWhMIbV7I
 kBBtRfrUte0PHA2kVGYOVpcMTbTtfY9bYBFbKq6Nzq0trkjJo+uhs8swicLJ6QkT4y0B
 M5qlycMb11gXM8Lrt9CU48fTaAOVdWG9F6/H2rLLtag3SuLH3ZeUZ3Yjl/grBLIT7FH+
 8j9g==
X-Gm-Message-State: AFqh2kqBbJOQr6ioXm0ZClDM4JbPO6q1YPxuEM0tDttA9sLfSEQy5PgE
 xPvkg0oBUsfr1vgpBJZVakuLd/gwLP4=
X-Google-Smtp-Source: AMrXdXtE65YYcSj7P4UzbcXGuezZ94zrYZ38iDVy2HINNGXbirDWbrxCT2kHlq662U6Cpjorg30jrA==
X-Received: by 2002:a5d:9c12:0:b0:6e1:58c5:9dc with SMTP id
 18-20020a5d9c12000000b006e158c509dcmr4143095ioe.6.1674006324756; 
 Tue, 17 Jan 2023 17:45:24 -0800 (PST)
Received: from washu-v4.home.cox-buday.com
 (c-174-51-139-101.hsd1.co.comcast.net. [174.51.139.101])
 by smtp.gmail.com with ESMTPSA id
 p32-20020a056638192000b0039e89ea68f9sm7889250jal.135.2023.01.17.17.45.24
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 17 Jan 2023 17:45:24 -0800 (PST)
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 17/25] gnu: Add unparam.
Date: Tue, 17 Jan 2023 18:45:02 -0700
Message-Id: <20230118014510.19320-18-cox.katherine.e@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
References: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2607:f8b0:4864:20::d33;
 envelope-from=cox.katherine.e@HIDDEN; helo=mail-io1-xd33.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/golang.scm (unparam): New variable.
---
 gnu/packages/golang.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index ced6438581..d980026a70 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -9803,6 +9803,31 @@ (define-public go-go-uber-org-multierr
      "@code{multierr} allows combining one or more Go errors together.")
     (license license:expat)))
 
+(define-public unparam
+  (package
+    (name "unparam")
+    (version "0.0.0-20221223090309-7455f1af531d")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/mvdan/unparam")
+                    (commit (go-version->git-ref version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "0wynf0b32azxljncw5fh9bwkxpdflvf9q1z16wyj432566yjh12c"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "mvdan.cc/unparam"
+       #:go ,go-1.19))
+    (inputs (list go-golang-org-x-sys go-golang-org-x-mod
+                  go-github-com-pkg-diff go-golang-org-x-tools
+                  go-github-com-rogpeppe-go-internal))
+    (home-page "https://mvdan.cc/unparam/")
+    (synopsis "Find unused parameters in Go")
+    (description "Reports unused function parameters and results in Go code.")
+    (license license:bsd-3)))
+
 (define-public xurls
   (package
     (name "xurls")
-- 
2.38.1





Acknowledgement sent to Katherine Cox-Buday <cox.katherine.e@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#60916; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 18 Jan 2023 17:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.